package com.afp.ordermanagement.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.NOT_FOUND)
public class EntityNotFoundException extends RuntimeException {
    public EntityNotFoundException(String badUuid, Class entityClass) {
        super(String.format("Could not find a %s with the id '%s'", entityClass.getName(), badUuid));
    }
}
